'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _Num = function () {
    function _Num() {
        _classCallCheck(this, _Num);
    }

    _createClass(_Num, null, [{
        key: 'uuid',

        /**
        * 生成 uuid 字符串
        * @param {*} len 长度
        * @param {*} radix 进制
        */
        value: function uuid(len, radix) {
            var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
            var uuid = [],
                i;
            radix = radix || chars.length;

            if (len) {
                // Compact form
                for (i = 0; i < len; i++) {
                    uuid[i] = chars[0 | Math.random() * radix];
                }
            } else {
                // rfc4122, version 4 form
                var r;

                // rfc4122 requires these characters
                uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
                uuid[14] = '4';

                // Fill in random data.  At i==19 set the high bits of clock sequence as
                // per rfc4122, sec. 4.1.5
                for (i = 0; i < 36; i++) {
                    if (!uuid[i]) {
                        r = 0 | Math.random() * 16;
                        uuid[i] = chars[i == 19 ? r & 0x3 | 0x8 : r];
                    }
                }
            }

            return uuid.join('');
        }
    }, {
        key: 'alreadyInArray',
        value: function alreadyInArray(arg, arr) {
            if (arr.length == 0) {
                return false;
            }
            var flag = false;
            if ((typeof arg === 'undefined' ? 'undefined' : _typeof(arg)) == "object") {
                arg = JSON.stringify(arg);
                arr.map(function (item) {
                    if (arg == JSON.stringify(item)) {
                        flag = true;
                    }
                });
            } else {
                arr.map(function (item) {
                    if (item == arg) {
                        flag = true;
                    }
                });
            }

            return flag;
        }
    }]);

    return _Num;
}();

exports.default = _Num;