export default class _Date {
    static transformTimeStampToTime(timestamp) {
        return new Date(parseInt(timestamp)).toLocaleString().replace(/:\d{1,2}$/, ' ');
    }

    /**
     * 返回其他时区的时间对象，返回当前时区的时间戳
     */
    static transformCurrentTimeZoneTimeStamp(dateObj) {
        return dateObj.getTime() - dateObj.getTimezoneOffset() * 60 * 1000;
    }
}