export default class _Dom {
    /**
     * 获取 element 的样式
     * @param {*} ele dom element
     * 
     */
    static getStyle(ele) {
        let style = null;
        if (window.getComputedStyle) {
            style = window.getComputedStyle(ele, null);
        } else {
            style = ele.currentStyle;
        }
        return style;
    }
}